PropertyCustomizer (install4j API)
Date: 2009-06-17

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beaninfo
Interface PropertyCustomizer

    public interface PropertyCustomizer

Customizer component for a property that is used in a dialog. Implementing classes must extend `Component`. A Property customizer is specified in a `property converter`. Property converters are registered on a per-bean basis with `Install4JBeanInfo.setPropertyConverters(PropertyConverter[])`.

See Also:
  `PropertyConverter.getPropertyCustomizerClass()`

Method Summary
`void` | `cancel()` Called if the property customizer dialog is exited with the Cancel button.
`boolean` | `isModified()` Called by the install4j IDE when the dialog is closed in order to determine if the user has made any modifications.
`boolean` | `ok()` Called if the property customizer dialog is exited with the OK button.
`void` | `setParentWindow(java.awt.Window window)` Called by the install4j IDE afer the property customizer is initialized and sets the parent window.
`void` | `setValue(java.lang.Object value, Bean bean)` Sets the property value and the bean.

Method Detail

### setValue

    void setValue(java.lang.Object value,
                  Bean bean)

  Sets the property value and the bean. The install4j IDE will call this method just before the property customizer dialog is shown.

  Parameters:
    `value` - the property value
    `bean` - the bean

### ok

    boolean ok()

  Called if the property customizer dialog is exited with the OK button. If the user input is not valid, you can return `false` in order to prevent the dialog from closing. You should display a warning message in that case.

  Returns:
    if the dialog should be closed

### cancel

    void cancel()

  Called if the property customizer dialog is exited with the Cancel button. If you have already modified the bean, you should revert it to its original state.

### isModified

    boolean isModified()

  Called by the install4j IDE when the dialog is closed in order to determine if the user has made any modifications.

  Returns:
    `true` if modified

### setParentWindow

    void setParentWindow(java.awt.Window window)

  Called by the install4j IDE afer the property customizer is initialized and sets the parent window.

  Parameters:
    `window` - the parent window

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD